<% 
Dim ClassName,EnName,skwebLink,dh,tg,ParentID,CMS_Extension,disabled,content,makehtmlname,pageTemplate
Dim ClassID,ClassKeywords,ClassDescription,SK_Return_columns_value,ConTentTemplate,FolderTemplate,FilePathName,Seotitle
Dim GroupIDClass,TGGroupID,OrderID,TiesSK_DataCMS_subject,ModeName,ModeID,classnames,skweboa_DIY,moresite,sitepath,SK_SiteUrl,urlname
dim sklistColumnSK_The_authority,ClassArrGroupID,ClassskReadthecontent,ClassSK_settlement_Style ,ClassSK_Sof_tresult,ClassskUReadtheresults,ClassDividePercent,fcbl,ClassDivico
din FolderTemplate1
 ClassID = request("ClassID")
 ModeID = skweboa.Return_to_numerical(Request("ModeID"))
 if ModeID=0 or ModeID="" Then ModeID=1
 ModeName= skweboa.SK_Mroot(ModeID,1) 

skweboa_DIY=Split(skweboa.SK_Temporarily_style(MyDbPath&"SKCMS/Mode/"&ModeID&"/sk.cs","utf-8"),"§")
 if Request("addsite")="ok"  then
    names1="子站"
	 FolderTemplate1=skweboa.SK_sys(25)
 elseif Request("page") ="ok" Then 
     names1="页面"  	 
 else
    names1="栏目" 
    FolderTemplate1=skweboa_DIY(22)
 end if

With Response
IF Request("action") = "add" Then
	sklistColumnSK_The_authority=0
 	ClassskReadthecontent=0
	ClassSK_settlement_Style =0
	ClassSK_Sof_tresult=0
	ClassskUReadtheresults=0
	dh=1:tg=1:CMS_Extension="index.html":OrderID=10:moresite=0:	skwebLink=1:FilePathName="{enname}/{id}"
	
  
	
	if ClassID <>"" then
		SK_Return_columns_value =  ClassID
		if skweboa_DIY(23)="" then
		FolderTemplate=skweboa.skCMSlist(ClassID,4)
		else  
		FolderTemplate=skweboa_DIY(23)	
		end if
	Else
		SK_Return_columns_value = "0"
		
		FolderTemplate=FolderTemplate1
		
	End if
	
	
	IF ClassID <> "" Then 
		Dim Rs,ShowErr
		
		Set Rs=server.CreateObject("adodb.recordset") 
		Rs.OPen "Select skwebLink,moresite,sitepath from Class_skweb where ClassID='"& ClassID &"'  order by id desc",Conn,1,1
		If Not  Rs.Eof Then '判断是否为转向链接
				
			 if Rs("moresite")=1 then 
			      sitename=" <font color=""red"">(属于"&skweboa.skCMSlist(Rs("sitepath"),2)&")</font> "
				  SK_Siteid=Rs("sitepath")
				  moresite=1
 			 End if 	     
			 
	 
		 
		End If
		
		classnames =skweboa.skCMSlist(ClassID,2)
		ClassDividePercent=skweboa.skCMSlist(ClassID,24)
		ClassDivico=skweboa.skCMSlist(ClassID,28)	
	Else
		classnames ="根栏目"
	End If
	
	if ClassID <>"" then
		SK_Return_columns_value =  ClassID
		ConTentTemplate=skweboa.skCMSlist(ClassID,5)
	Else
		ConTentTemplate=skweboa_DIY(24)
	End if
	
	
Else
	Set Rs = server.CreateObject("adodb.recordset")
	Rs.open "select * From  Class_skweb where ClassID = '"& ClassID &"'",Conn,1,3
	if Not   Rs.eof then
		dh = Rs("dh"):tg = Rs("tg")
		ClassName = Rs("ClassName")
		EnName = Rs("ClasseName") 
		CMS_Extension = Rs("Extension")
		ClassDescription = Rs("ClassDescription")
		ClassKeywords = Rs("ClassKeywords")
		Seotitle = Rs("Seotitle")
		skwebLink = Rs("skwebLink")
		TGGroupID = Rs("TGGroupID")
		ConTentTemplate=Rs("ConTentTemplate")
		OrderID=Rs("OrderID")
		GroupIDClass=Rs("GroupIDClass")
		ModeID=Rs("ModeID")
		moresite=Rs("moresite")
		  SK_Siteid=Rs("sitepath")
		  urlname=Rs("urlname")
		SK_SiteUrl=Rs("SK_SiteUrl")
		FilePathName=Rs("FilePathName")
		content=Rs("content")
		fcbl=Rs("fcbl")
	    makehtmlname=Rs("makehtmlname")
		FolderTemplate=Rs("FolderTemplate")
		pageTemplate=Rs("FolderTemplate")
 		sklistColumnSK_The_authority=Rs("sklistColumnSK_The_authority")
		ClassskReadthecontent=Rs("ClassskReadthecontent")
		ClassSK_settlement_Style =Rs("ClassSK_settlement_Style")
		ClassSK_Sof_tresult=Rs("ClassSK_Sof_tresult")
		ClassskUReadtheresults=Rs("ClassskUReadtheresults")
		ClassDividePercent=Rs("ClassDividePercent")
		ClassDivico=Rs("ClassDivico")	
		ClassArrGroupID=Rs("ClassArrGroupID")
   		Dim Rs1
		Set Rs1=skweboa.SK_axe("Select ClassID From Class_skweb Where ClassID='" &Rs("ParentID")&"' ")
		If Not Rs1.EOF Then classnames=Rs1("ClassID") Else classnames =0
		disabled="disabled "
		edilista="style=""display:none"""
	End If
End If
     %>